/* -*- c++ -*-
 *
 * clipboard.cpp
 *
 * Copyright (C) 2003 Petter Stokke <ummo@hellokitty.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#include <QClipboard>
#include <kapplication.h>

#include "clipboard.h"

void ClipboardHelper::copyToClipboard(QStringList& values, ClipFormat format)
{
    QClipboard* clip = KApplication::clipboard();
    QStringList out;
    for ( QStringList::Iterator it = values.begin(); it != values.end(); ++it ) {
        QString name = *it;
        ++it;
        QString hash = *it;
        ++it;
        QString size = *it;
        switch (format) {
        case Hash:
            out.append(hash);
            break;
        case URL:
            out.append("ed2k://|file|" + name + "|" + size + "|" + hash + "|/");
            break;
        case HTML:
            out.append("<a href=\"ed2k://|file|" + name + "|" + size + "|" + hash + "|/\">" + name + "</a>");
            break;
        default:
            break;
        }
    }
    clip->setText(out.join("\n"), QClipboard::Selection);
    clip->setText(out.join("\n"), QClipboard::Clipboard);
}

